From d4bcc1e25ebe8240fcda23c281b930f7f711fcff Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Wed, 12 Jun 2019 12:33:03 +0200
Subject: [PATCH] elogind: provide a runit service.

I prefer to handle it via runit.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/elogind/files/elogind/run | 3 +++
 srcpkgs/elogind/template          | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/elogind/files/elogind/run

diff --git a/srcpkgs/elogind/files/elogind/run b/srcpkgs/elogind/files/elogind/run
new file mode 100644
index 00000000000..9abc6ee2b43
--- /dev/null
+++ b/srcpkgs/elogind/files/elogind/run
@@ -0,0 +1,3 @@
+#!/bin/sh
+sv check dbus >/dev/null || true
+exec /usr/libexec/elogind/elogind.wrapper
diff --git a/srcpkgs/elogind/template b/srcpkgs/elogind/template
index 678025f7e88..7d03f4e5fc0 100644
--- a/srcpkgs/elogind/template
+++ b/srcpkgs/elogind/template
@@ -1,7 +1,7 @@
 # Template file for 'elogind'
 pkgname=elogind
 version=241.3
-revision=1
+revision=2
 build_style=meson
 configure_args="-Dcgroup-controller=elogind -Dhalt-path=/usr/bin/halt
  -Drootlibexecdir=/usr/libexec/elogind -Dreboot-path=/usr/bin/reboot
@@ -47,6 +47,7 @@ post_install() {
 	vinstall $FILESDIR/elogind.wrapper 755 usr/libexec/elogind
 	vmkdir usr/lib/dracut/dracut.conf.d
 	echo "install_items+=\" /usr/libexec/elogind/elogind-uaccess-command \"" >> ${DESTDIR}/usr/lib/dracut/dracut.conf.d/elogind.conf
+	vsv elogind
 }
 
 elogind-devel_package() {
